////////////////////////////////////////////////////////////
//
//  GENERAL.H - General Definitions
//
//  Version:    1.00B
//
//  History:    96/05/05 - Version 1.00A release.
//				97/04/24 - Version 1.00B release.
//
//  Compilers:  Microsoft Visual C/C++ Professional V5.0
//              Borland C++ Version 5.0
//
//  Author:     Ian Ashdown, P.Eng.
//              byHeart Consultants Limited
//              620 Ballantree Road
//              West Vancouver, B.C.
//              Canada V7S 1W3
//              Tel. (604) 922-6148
//              Fax. (604) 987-7621
//
//  Copyright 1996-1997 byHeart Consultants Limited
//
//  The following source code may be freely copied,
//  redistributed, and/or modified for personal use ONLY,
//  as long as the copyright notice is included with all
//  source code files.
//
////////////////////////////////////////////////////////////

#ifndef _GENERAL_H
#define _GENERAL_H

#include <stdio.h>

#define FALSE   0
#define TRUE    1

typedef short BOOL;             // Boolean flag

class Point3    // 3-D point
{
  protected:
    float x;    // X-axis co-ordinate
    float y;    // Y-axis co-ordinate
    float z;    // Z-axis co-ordinate

  public:
    Point3() { };

    Point3( double xval, double yval, double zval )
    {
      x = (float) xval;
      y = (float) yval;
      z = (float) zval;
    }

    double GetX() { return x; }
    double GetY() { return y; }
    double GetZ() { return z; }

    void SetX( double xval ) { x = (float) xval; }
    void SetY( double yval ) { y = (float) yval; }
    void SetZ( double zval ) { z = (float) zval; }
};

#endif

